<?php

namespace xenarabia\closestickythreads\XF\Pub\Controller;


use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread
{
    public function actionAddReply(ParameterBag $params)
    {
        $thread = $this->assertViewableThread($params->thread_id);

        $closeInput = $this->filter('cst_close', 'str');

        $stickyInput = $this->filter('cst_sticky', 'str');

        $editor = $this->getEditorService($thread);

        if ($closeInput == 'close')
		{
			$editor->setDiscussionOpen(false);
		}

        if ($stickyInput == 'stick')
		{
			$editor->setSticky(true);
		}

        return parent::actionAddReply($params);
    }
}